---
title: "Building Skill With Feedback"
block: "Building Teaching Skill"
teaching: 10
exercises: 10
questions:
- "How can I get feedback from learners?"
- "How can I use this feedback to improve my teaching?"
objectives:
- "Describe three feedback mechanisms used in Carpentries workshops."
- "Give feedback to your instructors."
keypoints:
- "Give your learners time to fill out the post-workshop survey at the end of your workshop."
- "Take the time to respond to your learners' feedback."
---

We use formative assessment of learners during workshops to help track
learners' progress and adjust our approach to teaching the content as needed.
But formative assessment is not just for learners. As we will discuss in more detail
[later]({{ page.root }}/11-practice-teaching/), teaching is also a skill that is improved
through regular practice and feedback. We gather feedback from our learners
at multiple points in the workshop and in different forms.

## Surveys

Carpentries learners fill out a survey before attending and immediately after a workshop.
These surveys include questions to help instructors get an idea of their attendees' prior
experience and backgrounds before the workshop starts. Using this information, instructors
can start to plan how they will approach the materials and what level of exercises
are likely to be appropriate for their learners.

You can preview the surveys your learners will take at the links below:

- [Pre-workshop survey](https://carpentries.typeform.com/to/wi32rS?__dangerous-disable-submissions)
- [Post-workshop survey](https://carpentries.typeform.com/to/UgVdRQ?__dangerous-disable-submissions)

If you'd like have an overview of the questions asked in the surveys without having to go through
all the questions, you can preview them in a text-format below:

- [Pre-workshop survey](https://carpentries.github.io/assessment-archives/pre-workshop/pre-workshop.html)
- [Post-workshop survey](https://carpentries.github.io/assessment-archives/post-workshop/post-workshop.html)

When The Carpentries Workshop Administration Team sets up the surveys for your workshop, they will also send you a link to
a dashboard with the results! Take care not to share this link with your learners.
- This link will take you to a [dashboard displaying the last year of data for our workshop
  surveys](https://workshop-reports.carpentries.org/?aggregate-workshops) so you can have an idea of
  what to expect for your workshop.

> ## Survey links
>
> The survey links above are only for you to preview the survey as part of
> Instructor Training. When you are teaching a workshop, make sure to share the
> links that gets generated on your workshop website. Doing so will ensure that
> you will receive all the survey results from your workshop participants.
{: .checklist}

![Screenshot of a workshop website showing location of customized survey links](../fig/surveyscreenshot3.svg)

### Timing Matters

We have found that learners are much more likely to fill out the post-workshop survey
while they are still at the workshop than they are after they leave the venue. At the end
of a multi-day workshop, your learners' brains will be very tired. Rather than trying to
fit in another 15 minutes worth of teaching, give your learners time to complete the
post-workshop survey at the end of your workshop. You will be helping them (with an
opportunity to reflect), yourself (you will get more useful feedback), and The Carpentries
(we improve our programs based on feedback, and our funders take pride in the success of our workshops, too).


## Minute Cards

Before each long break, for example lunch or between days, we
have learners complete **minute cards** to share anonymous feedback. At an in-person workshop,
paper sticky notes double as minute cards, with the two different colors used for positive and
constructive feedback. At an online workshop, this may be done by making a copy of our [Virtual Minute Card Template](https://docs.google.com/forms/d/1p7iOV5HNvy4POS4g6eottY8RSfKq4kaoKz1-jIFYTMI/template/preview)
on Google Forms. Other tools can work as well, but we do recommend making sure that feedback is private and
anonymous. A public-facing sticky note board will receive different (and less useful) feedback.

Whatever method you use, you may wish to customize the prompt to elicit different types of feedback at each break.

**Example positive prompts:**   
- One thing you liked about this section of the workshop
- The most important thing you learned today   
- A new skill, command, or technique you are most excited about using

**Example constructive prompts:**  
- One thing you did not like or would change about this section of the workshop
- One thing that is confusing / you would like clarification on.    
- One question you have

During long breaks, instructors read through the minute
cards and look for patterns. At the start of each half day, the Instructors
take a few minutes to address commonly raised issues with the whole class. The
non-teaching Instructor can also type answers to the questions in the Etherpad.

> ## Be Explicit About Using Feedback
>
> Learners are more likely to give useful feedback if they feel that their feedback
> is being taken seriously. Spending a few minutes talking about the feedback you got
> and being explicit about what changes you are making in light of that feedback
> will encourage learners to continue to give informative feedback throughout the workshop.
{: .callout}


## One-Up, One-Down

In addition to minute cards, we also ask learners to give us feedback at the end
of each day using a technique called "one up, one down".  The
instructor asks the learners to alternately give one positive and one
negative point about the day, without repeating anything that has
already been said.  This requirement forces people to say things they
otherwise might not: once all the "safe" feedback has been given,
participants will start saying what they really think. The instructor
writes down the feedback in the Etherpad or a text editor,
but does not comment on the feedback while collecting it. The instructors then
discuss this feedback and how they plan to act on it. Like with minute cards, be explicit
about how you are responding to learner feedback.


> ## Give Us Feedback
>
> Write one thing you learned this so far in this training that you found useful on
> your blue sticky note, and one question you have about the material
> on the yellow.  Do *not* put your name on the notes: this is meant to
> be anonymous feedback.  Add your notes to the pile by the door as
> you leave for lunch.
{: .challenge}
