---
title: "End Part 2 and Homework"
teaching: 5
exercises: 15
questions:
- "What have we learned so far?"
- "What needs to be done to prepare for the next part of the workshop?"
objectives:
- "Describe overnight homework."
- "Produce a paragraph, drawing, or diagram that summarizes what was taught to this point."  
keypoints:
- "So far, we have learned about how people learn, how to build a positive classroom environment, and how to give feedback."
- "In parts 3 and 4 we will cover specifics of Carpentries workshops and teaching practices."
---

In the first half of this workshop we have focused on understanding some core findings of pedagogical research about how the learning process
works and the importance of creating a positive classroom environment. We also introduced the idea of lesson study
and gave some opportunities to practice teaching. In the remaining parts of the training, we will continue our discussions of
how we build teaching skill and will have more chances for practice and feedback. We will also
look in some depth at how The Carpentries operates to prepare you for the logistics of teaching a workshop.

To prepare for our next session, please:

1.  Read about [centrally-organized and self-organized workshops](https://carpentries.org/workshops/#workshop-organising) and our handbook content on [Teaching and Hosting Workshops](https://docs.carpentries.org/topic_folders/hosts_instructors/index.html) -- be sure to click through to some of the associated checklists. These summarize commonly asked questions about organizing and running workshops.
    When you arrive for the next part, we will ask you to add one question about our operations to a list.
    We will then do our best to answer all of those questions during the day.

2.  Prepare for the [live coding exercises]({{ page.root }}/17-live/).
    If you have not already done so per the pre-workshop instructions, pick an episode from an existing Software Carpentry,
    Data Carpentry, or Library Carpentry lesson and
    read through it carefully.
    In the next two parts, you will use this to practice live coding/participatory instruction for 3 minutes.
    Remember, imperfect presentations can generate useful feedback!
    If you have not yet selected an episode to focus on and would like a recommendation, consider one of the following:
    *   Data Carpentry
        *   [Faceting and Clustering in OpenRefine](<{{ site.dc_site }}/OpenRefine-ecology-lesson/02-exploring-data/index.html>)
        *   [Basic Queries in SQL](<{{ site.dc_site }}/sql-ecology-lesson/01-sql-basic-queries/>)
        *   [Starting with Data in R](<{{ site.dc_site }}/R-ecology-lesson/02-starting-with-data.html>)
        *   [Starting with Data in Python](<{{ site.dc_site }}/python-ecology-lesson/02-starting-with-data/>)

    *   Library Carpentry
        *   [Working with Files and Directories in the Unix Shell](https://librarycarpentry.github.io/lc-shell/03-working-with-files-and-folders/index.html)
        *   [Faceting and filtering in Open Refine](https://librarycarpentry.github.io/lc-open-refine/04-faceting-and-filtering/index.html)
        *   [For loops in Python](https://librarycarpentry.github.io/lc-python-intro/12-for-loops/index.html)        

    *   Software Carpentry
        *   [Working with Files and Directories in the Unix Shell](<{{ site.swc_pages }}/shell-novice/03-create/>)
        *   [Tracking Changes in Git](<{{ site.swc_pages }}/git-novice/04-changes/>)
        *   [Selecting Data in SQL](<{{ site.swc_pages }}/sql-novice-survey/01-select/>)
        *   [Repeating Actions with Loops in Python](<{{ site.swc_pages }}/python-novice-inflammation/05-loop/>)
        *   [Exploring Data Frames in R](<{{ site.swc_pages }}/r-novice-gapminder/05-data-structures-part2/>)



> ## Feedback
>
> The Trainer(s) will ask for feedback on the day in some form.  
>
> This exercise should take 5 minutes.  
{: .challenge}

> ## Reflection Exercise
>
> Before we wrap up for the day, take 5 minutes to think over
> everything we have covered so far.  On a piece of paper, write
> down something that captures what you want to remember about
> the day.  The Trainers will not look at this - it is just for you.  
>
> If you do not know where to start, consider
> the following list for a starting point:
>
> * draw a concept map, connecting the material
> * draw pictures or a comic depicting one of the day's concepts
> * write an outline of the topics we covered
> * write a paragraph or “journal” entry about your
> experience of the training so far
> * write down one thing that struck you the most
>
> This exercise should take about 10 minutes.
{: .challenge}

[dc-self]: {{ site.dc_site }}/self-organized-workshops/
[dc-central]: {{ site.dc_site }}/workshops-host/
