---
title: "Welcome Back"
start: true
teaching: 5
exercises: 5
questions:
- "What have we learned so far?"
- "What will we focus on next?"
objectives:
- "Review main points we discussed in parts 1 and 2."
- "Introduce topics we will discuss in parts 3 and 4."
keypoints:
- "Instructors guide learners to construct the proper big picture (accurate mental model) of the topic rather than focus on details."
- "Instructors rely on frequent feedback from learners to monitor their own presentation of the material."
- "Instructors introduce a few concepts at a time to avoid cognitive overload."
- "The best way to motivate learners? Show them how to do something they can immediately put to use and be enthusiastic about it."
- "Teaching is a learned skill."
---

To refresh as we enter the second half of this workshop, the goal of this training is prepare
you to be a certified Carpentries Instructor, which includes the following:
- be familiar with and understand how to apply research-based teaching principles,
especially as they apply to The Carpentries audience.
- understand the importance of a respectful and inclusive classroom environment; commit to
creating such an environment; and be able to
identify and implement The Carpentries policies and general practices to accomplish this.
- practice and develop skills in the teaching methods used in Carpentries workshops
- learn enough about The Carpentries organization to know where to go for help,
how to start organizing a workshop, and how to get involved with community activities.

So far we have focused on general aspects of educational psychology and pedagogy and
how to create a positive classroom as environment, addressing the first two goals.
We started to address the third goal by discussing the importance of lesson study
and observation, and by providing an opportunity to teach and
receive feedback. We will continue that skill development process in Part 3 and 4, as we
focus on the specifics of teaching Software Carpentry, Data Carpentry, and Library Carpentry workshops.
We will review specific
teaching practices we follow at our workshops and practice using some of them. One of the most important practices
in The Carpentries is participatory live coding.  We will spend some time practicing this skill for multiple reasons:
one, you rarely find this approach in a current university setting so it is good
to try it out, but also, this will give us a chance to continue developing skills
we discussed so far that help improve our teaching: reflective practice and
providing (and receiving!) constructive feedback. In the final sections of the workshop,
we will conclude our training with a discussion about workshop logistics that will help you in preparing to teach your first workshop and become involved in The Carpentries community.

> ## Questions
>
> At the end of part 2, we asked you to read some resources about the logistics of teaching and running Carpentries workshops. Please
> add your questions about logistics and preparation to the Etherpad. We will answer these questions in the Etherpad during your work time
> and will return to this list later in the training. We may draw on the [Workshop FAQ](https://carpentries.org/workshop_faq/), which you
> can also refer to later if you have additional questions.
>
> This activity should take about 5 minutes.
{: .challenge}
