---
title: "Getting Started on Instructor Certification"
teaching: 15
exercises: 15
questions:
- "What do I need to do to finish certifying as a Carpentries Instructor?"
objectives:
- "Describe the final steps required to qualify as an Instructor."
- "Schedule your community discussion session."
keypoints:
- "To certify, you must contribute to a lesson, take part in a discussion, and do a teaching demo within 90 days of your training event."
---

In this short episode, we will take a moment to review the actions you will
need to take after this training to become a fully certified Carpentries Instructor.  

## Instructor Checkout

After completing the Instructor Training workshop, there are [three final steps to complete](https://carpentries.github.io/instructor-training/checkout/index.html) before qualifying as an Instructor. 
Briefly, the three steps are:

1.  Make a small contribution to a lesson or glossary.
2.  Take part in an online community discussion session.
3.  Take part in an online teaching demonstration session.


All trainees have 3 months (90 days) from the end date of your training to complete checkout. If you need more time,
3-month extensions may be requested by emailing [instructor.training@carpentries.org](mailto:instructor.training@carpentries.org). 
Extensions may be granted for any reason up to 1 year from your training date.


> ## Be The Expert: Checkout Q & A
>
> In small groups, read and discuss one of the three checkout procedures described on this page: <https://carpentries.github.io/instructor-training/checkout/index.html>
> Make notes in the Etherpad:
> - What points do you think it is most important or helpful for people to remember?
> - What questions or points of confusion do you have, or think others might have? 
> When you are done, report back to the full group about that stage of the process.
>
> This exercise should take about 10 minutes.
{: .challenge}


> ## Schedule a Discussion or Demo
>
> Visit the discussion Etherpad to sign up for a session: <https://pad.carpentries.org/community-discussions>
> If the session you would like to attend is full, contact the discussion
> host and co-host to ask if you can attend.
>
> If you would prefer to do your teaching demonstration before your discussion,
> visit the demo Etherpad and sign up there: <https://pad.carpentries.org/teaching-demos>
> This demo [rubric]({{ page.root }}/demos_rubric/) is provided as a guide for Trainers evaluating potential new Instructors during the teaching demonstration.
> 
> If these pages are hard to navigate or you cannot find a suitable time, save these links where 
> you can find them again and make a note to schedule these steps for your checkout process. 
> 
> This exercise should take 5 minutes.
{: .challenge}

### What does a badge mean?
* **You can teach any Carpentries workshops!** Carpentries Instructor badges are valid to teach any Software Carpentry, Data Carpentry, or Library Carpentry lesson. While co-Instructors need not be badged, every Carpentries branded workshop must have at least one badged Instructor to lead the way. (More on branding in the next episode!)
* **You get to vote!** Badged Instructors are eligible to vote in Carpentries Executive Council elections for their first year, and for all subsequent years in which they continue to participate through teaching or other involvement. See [this section from the Carpentries Bylaws][voting-rights] for rules governing continuing voting eligibility.
* **You can share!** Looking for language to add to showcase your skills and experience on a CV or resume? [Here is some text][text-for-instructors] to get you started!


[demos-rubric]: https://carpentries.github.io/instructor-training/demos_rubric/
[bonus-modules]: https://carpentries.github.io/instructor-training-bonus-modules/
[voting-rights]: https://docs.carpentries.org/topic_folders/governance/bylaws.html#eligibility-rights-and-termination-for-voting-members
[text-for-instructors]: https://github.com/carpentries/commons/blob/master/text-for-instructors.md
