---
title: "Putting It Together"
teaching: 5
exercises: 15
questions:
- "How are the teaching practices we have learned used in our workshops?"
objectives:
- "Organize your knowledge of teaching practices and create a plan for using these practices in a Carpentries workshop."
keypoints:
- "Having a plan makes it easier for you to remember to implement the important teaching practices you have learned."

---

We are almost done with our training!  At this point, we have covered many, many topics
around teaching and learning, especially in the context of Carpentries workshops.

Carpentries instructors use a set of teaching techniques based on evidence from
educational research. We have talked about some of these techniques explicitly
(e.g. participatory live coding and formative assessment), and others we have been modeling throughout
the workshop, without necessarily calling attention to what we were doing. Some of
these teaching techniques are implemented at particular points in a workshop, while
others are used throughout. Let us put together everything we have learned and organize
these practices in terms of what parts of a workshop we need to be conscious of each
of these strategies. In other words, let us put down on paper some of our mental model
about teaching and learning, specifically in the Carpentries context.  

> ## Picking up the Pieces
>
> Based on the content we've discussed throughout this workshop, add at least one item to each category below:
> - Concepts/Theories 
> - Tools/Practices
> 
> This exercise can be done as a class and should take about 5 minutes.
> 
> > ## Solution
> >
> > Compare your list of topics with the list below.  What is missing, either in your
> > list or the one below?  
> {: .solution}
{: .challenge}

Here is a non-exhaustive list of topics:

* novice, competent practitioner, expert
* mental model
* formative assessment
* expert awareness gap
* short-term and long-term memory
* cognitive load
* motivation
* demotivation
* error-framing
* life-long learning
* feedback
* lesson study
* Code of Conduct
* concept maps
* Multiple Choice Question (MCQ)
* peer instruction
* going slowly
* "just"
* accessibility
* sticky notes
* one-up, one-down
* pre- and post-workshop surveys
* participatory live coding
* introductions


> ## Organize Your Knowledge
>
> Use a concept map or other visual organiser of your choice to connect some of 
> the concepts above. You don't have to use them all! How are the terms you have 
> chosen to include related to each other? 
>
> Work on this on your own.  There is no "right answer" -- this is about you building
> up a mental model, moving from "novice" to "competent practitioner".
>
> If you feel you have finished organizing your thoughts, try the next exercise.
> 
> This exercise should take about 5 minutes. 
> 
{: .challenge}

> ## Parting Thoughts (optional)
>
> If you did not think about these issues when organizing your topics in the previous
> exercise, now consider:
> 1. How would you describe your mental model of teaching? 
> 2. Can you identify why each topic above applies to teaching for the Carpentries?  
{: .challenge}

While there are many ways to
think about the practice of teaching, we hope that this training has provided a model of
teaching that is **learner-centered**.  In other words, teaching is not really about the
teacher, but the learners!  The more we know about learner's backgrounds, motivations,
and how they learn (educational psychology) and what interventions can address these
issues, the more effective our teaching can be.  This also means that our model of teaching
does not mean you need to be an expert in the content you are teaching or that you have
to have a certain kind of personality -- ANYONE can learn, practice and improve their
teaching, as with any skill.  
