---
layout: page
title: "Additional Exercises"
---
## Episode 2: Building Skill with Practice

> ## Modeling Novice Mental Models
>
> Create a multiple choice question related to a lesson you intend to teach.
> 1. Think about the topic of the lesson. What relevant misconceptions might a novice learner bring to the classroom?
> 2. Create your question. How many choices can you think of that will diagnose a specific misconception?
> 3. Type your question into the Etherpad
> and **explain the diagnostic power of each choice.**
>
> This exercise should take about 10 minutes.
{: .challenge}

> ## A Note on MCQ Design
>
> *   A good MCQ tests for conceptual misunderstanding rather than simple factual knowledge.
>     If you are having a hard time coming up with diagnostic distractors,
>     then either you need to think more about your learners' mental models,
>     or your question simply is not a good starting point for an MCQ.
> *   When you are trying to come up with distractors,
>     think about questions that learners asked or problems they had
>     the last time you taught this subject.
>     If you have not taught it before,
>     think about your own misconceptions
>     or ask colleagues about their experiences.
{: .callout}


> ## How Many?
>
> The Carpentries use formative assessments often. How many have we done during this episode? Put your guess in the Etherpad along with one example and the purpose that assessment served.  
>
> This discussion should take about 5 minutes.
>
>> ## Solution
>> This will depend on the event they are attending. Most attendees will guess low.
>> The purpose of this exercise is to emphasize the importance of frequent formative
>> assessments and that an individual assessment does not have to take a lot of time.
> {: .solution}
{: .challenge}



## Episode 9: Equity, Inclusion, and Accessibility


> ## Learning about Accessibility
>
> The [UK Home Office](https://hodigital.blog.gov.uk/category/accessibility/) has put together a
> set of posters of "dos and don'ts" for making visual and web-based materials more accessible for
> different populations. Take a look at one of
> [these posters](https://ukhomeoffice.github.io/accessibility-posters/posters/accessibility-posters.pdf) and put one thing you
> have learned in the Etherpad.
>
> Note: There is an [HTML version](https://ukhomeoffice.github.io/accessibility-posters/) in English which may perform better
> with screen readers. There are also [translations](https://github.com/UKHomeOffice/posters/tree/master/accessibility/dos-donts)
> available in a number of languages, including Dutch, French, Spanish, Swedish, Portuguese, German, and
> Chinese.
>
> This exercise should take about 5 minutes.
{: .challenge}

## Episode 11: Teaching is a Skill

> ## Feedback on Feedback (Optional)
>
> Watch either this [scipy tutorial][scipy-video-1] (8:40)
> or this [other tutorial][scipy-video-2] (11:42).
> For each, give feedback following the 2x2
> model. Put your feedback in the Etherpad.
>
> This exercise and discussion should take about 15 minutes.
{: .challenge}

> ## Skill Acquisition: What level are your teaching skills?
>
> As with computational skills, people have a tendency to think of teaching as something you are "just good at" or not. However, teaching is a skill, and expertise develops with attentive practice.
> Examine the descriptions of "novice," "competent practitioner," and "expert." Where do you think you fall with regard to teaching? What have you learned about teaching? What are you aware of that you still need to learn?
> Discuss with a partner and then write some thoughts in the Etherpad.
{: .challenge}

## Episode 15: Preparing to Teach

For our next exercise, we will explore some deep thinking about the 'whole people' who might come to your classroom by creatively brainstorming a **learner
profile**. This is a good way to support an empathic and intentional approach to your plan for instruction.

Learner profiles have three parts:
- the person's general background,
- the motivating problem they face,
- and how the course will help them.

> ## Learner Profiles
> Examine this example profile of a Software Carpentry learner:  
> ~~~
> João is an agricultural engineer doing his masters in soil physics.
> His programming experience is a first year programming course using C.
> He was never able to use this low-level programming in his activities,
> and never programmed after the first year.
> His work consists of evaluating physical properties of soil samples from different conditions.
> Some of the soil properties are measured by an automated device that sends logs in a text format to his machine.
> João has to open each file in Excel,
> crop the first and last quarters of data values,
> and calculate an average.
> Software Carpentry will show João how to write shell scripts to count the lines and crop the right range for each file,
> and how to use R to read these files and calculate the required statistics.
> It will also show him how to put his programs and files under version control
> so that he can re-run analyses and figure out which results may have been affected by changes.
> ~~~
>> {: .quotation}
> Sketch out a short profile of someone you might expect to attend your workshop.
> Who are they,
> what motivating problems do they face,
> and how might this training help them?
> Be as specific as possible.  
> Enter your learner profile into the Etherpad.
>
> This exercise should take about 5 minutes.  
{: .challenge}



> ## Feedback On Your Challenges (Optional)
>
> With these goals in mind, pair up with a partner to discuss the MCQ and faded example problems that you wrote
> in part 1. Give each other specific, actionable feedback that follows our 2x2 framework. Use that feedback to
> make at least one modification to your exercise(s). Discuss in the Etherpad the change you made and how it will
> help you get more useful information about your learners.
>
> This exercise and discussion should take about 15 minutes.
{: .challenge}

## Episode 20: Checkout



> ## Check Out the Discussion (Optional)
>
> As an instructor, your voice is important! We want you to be actively involved
> in discussions about the lesson materials (and other aspects of The Carpentries community).
> Go to the GitHub page for the lesson you worked with over the past two days and click on the
> "Issues" tab. Read through some of the discussions and, if you have anything to add, please add it
> to the conversation! If you wish to make a pull request, be sure to examine the contribution guidelines for
> the repository you are working in. If you do make a significant contribution to the discussion, send a link to
> the issue to [instructor.training@carpentries.org](mailto:instructor.training@carpentries.org). Congratulations! You have
> just completed one of the three remaining steps in becoming a Carpentries Instructor.
>
> Leave about 5-10 minutes for this exercise.
{: .challenge}
