---
layout: page
title: "Suggested Rubric for Teaching Demonstrations"
---

This rubric is provided as a guide for Trainers evaluating potential new instructors during the teaching demonstration ([Good lessons to use for demo](https://carpentries.github.io/instructor-training/demo_lessons/index.html)). Deciding whether a particular trainee passes or fails the demonstration is the sole discretion of the Trainer. As such, deviation from this rubric is encouraged as needed to accurately assess the trainee's preparation and instructional
skills.

In general, the majority of people pass their demonstrations. When a trainee is asked to redo a demo, it is usually a matter of correction -- an error to embrace and to learn from -- not rejection. Trainees who have three or more marks in the "Content Opportunities for Growth" or "Delivery Opportunities for Growth" columns below should probably be asked to try again. Even one mark in the "Content Opportunities for Growth" or "Delivery Opportunities for Growth" column can be considered justification for asking a trainee to redo their demonstration if the problem is significant. As always, Trainers should use their own judgement when applying this rubric in individual cases.  

|Positive Content|Content Opportunities for Growth |
|------|---------------------|
Uses Carpentries curriculum with only minor deviations|Deviates significantly or does not use Carpentries curriculum|
Places content in context and explains relevance/utility to learners|Jumps into the content without context|
Teaches content correctly|Makes factual errors in content and does not correct|

|Positive Delivery|Delivery Opportunities for Growth|
|------|---------------------|
Manually types out all their code| Copies and pastes code from the lesson materials into their programming environment
Mirrors the learner's environment (e.g. default terminal setup, simplified prompt)|Uses shortcuts or tools that are unfamiliar/unavailable to learners|
Uses appropriately sized fonts and windows|Font or windows are too small|
Explains all typing|Types commands or troubleshoots errors without explaining|
Uses mistakes/typos as opportunities for learning|Ignores or dismisses mistakes/typos that they make|
Uses notes on paper/tablet|Displays lesson materials/notes on their screen|
-|Notifications show up on their screen|
-|Uses significant amounts of dismissive language (e.g. "just", "easy")|
Speaks and types at an appropriate (slow enough) pace|Speaks or types very quickly|
Speaks clearly|-
Appears focused and attentive to learners|Appears significantly distracted by content or process of consulting notes|

---

Trainers can also copy the form below to take notes during the teaching demonstration.

```
# Teaching Demonstration Notes

**Trainee**:
**Date**:

## Content

**Sticks to curriculum**:
**Context**:
**Content Knowledge**:

## Delivery

**Manual typing:
**Mirror learner's environment**:
**Font & window size**:
**Explanation of typing**:
**Embraces & uses mistakes**:
**Use of notes on paper/tablet**:
**Distraction-free screen**:
**Wording**:
**Pacing**:
**Clarity**:
**Demeanor & focus**:
```
