---
layout: page
title: "Information for Member Organizations"
survey_link:
---

Welcome to The Carpentries community. We are excited to welcome you as a member organisation. Our instructor training process is a vital component of how we spread the teaching culture of the Carpentries to new organisations. We’re looking forward to meeting your team and helping them develop their teaching skills so you can have the best impact on the learners at your institution.

Your annual membership gives you a number of slots in our Instructor Training program. This training is for people who want to become certified Instructors with The Carpentries and is based on our constantly updated open-source [curriculum](https://carpentries.github.io/instructor-training/). 

This two-day online workshop is a mix of lecture and hands-on practice and is highly interactive. Your trainees will learn evidence-based best-practices for teaching and strategies for creating a positive learning environment. They will have opportunities to practice these techniques and get feedback. This training will also help your team become integrated into the global Carpentries community. 

## How to select your trainees:

* Trainees should be familiar with at least one of the technologies that we teach (R, Python, the Unix bash shell, SQL, OpenRefine, spreadsheet software, and/or Git). They do not need to be experts in that technology, but should use it at least weekly in their own work. We provide optional post-training onboarding sessions and mentoring opportunities to help Instructors level-up their skills and prepare to teach particular curricula.

* Trainees do not need any previous teaching experience or background in education, but should have a passion for spreading computational and data literacy skills.

* Trainees who have some previous experience with The Carpentries, whether as a learner or helper at a workshop, are more likely to complete the training and become active Instructors. 

## How to schedule your team for training: 

* You can view available training dates for the current quarter on our [training calendar](https://carpentries.github.io/instructor-training/training_calendar/). 

* Trainees can register by clicking the registration link on the calendar page above and entering the code provided for your team. Your trainees may sign up individually for different events, or you may register all of your trainees for the same event. If your trainees will be attending separate events, we recommend that you organize a social event for your trainees and other Carpentry-affiliated people at your institution to get to know each other. Being familiar with other members of this group will help individuals at your organisation organise events and remain active long after training. 

* We recommend that your team attends Instructor Training during the first six months of your membership year. This ensures they have time to complete the training requirements and start teaching workshops during your membership year.

* If a trainee misses more than one hour of the training, they will not pass the training requirement and their spot will be forfeited. Because we are training people to deliver Carpentries training and be ambassadors of the Carpentries program, we need to ensure they get the full training experience.

* Trainees may register or change their registration up to one week before the event. However, we recommend registering as early as possible, as these events fill up quickly. 

* If one of your trainees is not able to attend after they have registered for an event, please get in touch with us at checkout@carpentries.org as soon as possible. In some cases, we will be able to transfer your training seat to another event, however, because the success of our program depends on accurately predicting our capacity needs, we may not be able to accommodate changes in registration unless we are notified in advance of the event. Except in case of emergency, training seats may be forfeited if advance notice is not given.

* Information about software/hardware requirements for the training, preparatory homework, and video-conference connection information will be provided one week before the event. 

*Note that in order to provide the best experience for our trainees, in rare instances events may be canceled due to low enrollment.  If this happens, you will be notified two weeks before the event and will have the opportunity to sign up for a future event.*


## What to expect after the event:

* Participants will have three months (90 days) to complete [post-training homework exercises](http://carpentries.github.io/instructor-training/checkout/) in order to become certified Instructors. We recognize that life happens, and extensions to this deadline may be granted at the discretion of Carpentries staff.   

* After successfully completing the post-training exercises, participants will receive a PDF certificate attesting they are certified Carpentries Instructors and will have the opportunity to be listed on our [Instructor webpage](https://carpentries.org/instructors/).

* Ongoing support and mentorship for trained Instructors is available through The Carpentries community discussions and mentorship programs 
as well as through partcipation in other roles in The Carpentries community.  

We’re excited to have you and your staff taking this important step to build a strong community of Instructors at your organization. We look forward to welcoming your Instructors into our community!






