---
layout: page
title: "Registration Confirmation Page"
exclude: true
permalink: /confirmation/
---

# Thank you for registering!

Thank you for registering for a Carpentries Instructor Training event. You should be getting an email from Eventbrite to confirm your registration. 

## How to Connect to the Training

This event will be conducted online using the Zoom video conferencing platform.  You will *not* receive connection information through Eventbrite.

One week before the event you will receive an email from [instructor.training@carpentries.org](mailto:instructor.training@carpentries.org) with preparation instructions and connection information. 

If you do not receive this email, please check your spam folder and email instructor.training@carpentries.org. Please note that this mailbox is not continuously monitored, so be sure to check for this email well ahead of the time of your training. 

## How to Prepare for Instructor Training
Before your training, please visit our [Preparing for Instructor Training page](https://carpentries.github.io/instructor-training/setup.html) for complete instructions. A brief summary of these instructions is as follows:

1. Complete our Pre-training Survey. You will receive a custom link for your event when you receive your connection information.
2. Select a lesson to use for teaching practice sessions, spending no more than 20-30 minutes to prepare.
3. Please read the following:
 
     - ["The Science of Learning"](https://carpentries.github.io/instructor-training/files/papers/science-of-learning-2015.pdf)
     - ["The Carpentries Annual Report"](https://carpentries.org/files/reports/Carpentries2020AnnualReport.pdf)
## Checkout: The Instructor Certification Process 
After your training, we ask you to complete three follow-up tasks to become a certified Instructor. These requirements are detailed on our [Checkout Instructions page](https://carpentries.github.io/instructor-training/checkout/index.html) and will be discussed at your training. 


## If you Need to Reschedule or Cancel 
Cancellation may be performed in Eventbrite up to the start of the event. To support our program and honor the time donated by our Instructor Trainers, we ask that cancellations be made as far in advance as possible to allow other trainees to register before the 1 week deadline. 

After a registration has been cancelled in Eventbrite, the code that was used to register will become available to sign up for a different event. 

If a trainee repeatedly registers and cancels (more than 3 times), or registers for more than one seat at the same time, they may be barred from further registration.

More details on our [cancellation and makeup policy](https://docs.carpentries.org/topic_folders/instructor_training/cancellations_and_makeups.html) are available in The Carpentries Handbook.
## Learn More and Get Connected 
You can read more about [The Carpentries](https://carpentries.org/) and its lesson programs, [Data Carpentry](https://datacarpentry.org/), [Library Carpentry](https://librarycarpentry.org/), and [Software Carpentry](https://software-carpentry.org/) on our websites. Read about all the ways to get involved in The Carpentries, including signing up for mailing lists and newsletters.
 
Please contact [instructor.training@carpentries.org](mailto:instructor.training@carpentries.org) with any other questions.
