# An Introduction to Introductions

---

## Setting the workshop environment

Think back to courses or workshops you really liked or did not like.

How did those courses start on the first day? Were you confident in the
instructors ability to teach the course? Did you feel like the instructor was
enthusiastic about the course and invested in the learners outcomes? Was it clear
what you were going to be learning? Were you excited to get the chance
to be learning about those things? Or did you leave that first day thinking
the instructor was uninterested, that you were not the learners they wanted to
be teaching or you had no idea what the course was supposed to be about?

---

## Why is the environment important


- In Software, Data, and Library Carpentry we are teaching not only a set of skills,
but at least as importantly we are trying to empower learners and give them the confidence to use
these tools and learn more on their own.

- Can help reduce stereotype threat by letting people think about their strengths
at the beginning of the workshop.

- Helps the instructor get started and be less nervous

---

## How to set the workshop environment

Things here are adapted from: Eberly Center for Teaching Excellence & Educational Innovation, Retrieved October 31st, 2016, www.cmu.edu/teaching/

---

### Goals for the introduction

After the introduction

Learners should:
- believe in your competence to teach the workshop
- be able to predict the type of instruction
- know what the learning objectives are (what will be taught)
- know what will be required of them

The instructor should:
- have an understanding of who is taking the workshop and what their expectations are

---

### Components of the introduction

To meet these objectives an introduction should have 8 components

- Orchestrate positive first impressions
- Introduce yourself effectively
- Clarify learning objectives and expectations
- Help learners learn about each other
- Set the tone for the workshop
- Collect baseline data on learners' knowledge and motivation
- Whet learners' appetite for workshop content
- Inform learners of workshop requirements

---

### Orchestrate positive first impressions

- **Classroom environment**  
  - how the chairs and desks are set up conveys more formal or informal setting
  (you might not have options for this in your classroom)
  - you can write some words on the board for people to see as they come in, like
  'Welcome!' or 'Yay, data' or even a question for people to think about.

- **Your use of the few minutes before class.**  
Greeting the learners as they enter the classroom communicates approachability. Frantically arriving right on time or even late communicates disorganization, and so on.

---

### Introduce yourself effectively

You want to convey
- capability of teaching the materials
- your accessibility to learners
- your shared experience with the learners
- why you are excited about teaching SWC/DC
- do not want to come across as too 'expert' so that you cannot relate to the audience
- even if it is your first time teaching, you do not need to say that :)

---

### Clarify learning objectives and expectations

- let people know what the prerequisites are
For Data and Library Carpentry, no prior computational experience is required and for
Software Carpentry it can vary.
- highlight the main aspects of the schedule
- highlight the learning objectives
- highlight the approach we are using - hands on! - and that all materials
are open and freely available to use, develop or share
- code of conduct - basically be respectful
- how can people offer feedback or get help
    sticky notes, minute cards, formal assessment at the end

Share some advice for success in your course (give it a try!) and let them know you
are confident in their success as long as they are trying new things.

"If you are not falling, you are not learning."

---

### Help learners learn about each other

Foster a collaborative environment

Have learners introduce themselves to each other.

One idea:  
Have everyone turn to a partner and introduce themselves with their name, one word about their research 'microbes', 'dogs', 'vectors', 'stars' and a thing they are proud of that they made. What
they made could be a bookshelf, a curry, a 3D plot, a piece of software, their bed this morning, just
something they did that they are proud of. Studies have shown that encouraging people to think about their characteristics, skills, values, or roles that they value or view as important can help reduce
the effects of stereotype threat. (We have no actual evidence this particular exercise helps, but it
  is along these lines)

---

### Set the tone for the workshop

The way you engage learners at the beginning sends powerful messages about the level of involvement and interaction you expect from them.

- get in to introductions and interactions right away, since this is an interactive workshop
- establish a culture of feedback. Let learners know you are interested in how they experience the course and in any suggestions they have.

---

### Collect baseline data on learners' knowledge and motivation

- you will already have information from the pre-assessment survey on this,
so you will not need to survey the audience, but look through the survey data
before you arrive so you know who your audience is

---

### Whet learners' appetite for workshop content

They are already at the workshop, so it might seem unnecessary to motivate them to be there,
but it is a great chance to stimulate interest about the workshop and to activate relevant prior knowledge learners have about the material.

---

### Inform learners of workshop requirements

Let learners know about any logistics for the days - lunch times, breaks, accessibility, etc.

---

### Exercise on introducing yourself

**Objectives for exercise:**
- practice introducing yourself
- serves as an icebreaker - an opportunity to meet other people in the workshop

Get in a group of three with two other people you have not met before.
Each person do a video introducing themselves and get feedback from the
other two in the group. Your introduction should be just around a minute or two.

Before your start, describe your audience to the other people to the group.
e.g. researchers who are mainly biologists with little computational experience

**Things to cover in your introduction**  
- Name
- A little about your background relevant to the audience to convey
  - capability of teaching the materials
  - your accessibility to learners
  - shared experience
- Why you are excited about teaching SWC/DC
