---
layout: lesson
root: .
redirect_from: "http://swcarpentry.github.io/instructor-training/"
---

Welcome to The Carpentries Instructor Training curriculum! Originally released in 2016, this resource is collaboratively maintained and taught by The Carpentries Instructor Trainer community. Minor changes occur routinely; major updates are chronicled in our release history.
  
Carpentries Instructor Training has the following goals:  
* Introduce you to evidence-based teaching practices.
* Teach you how to create a positive environment for learners at your workshops.
* Provide opportunities for you to practice and build your teaching skills.
* Help you become integrated into the [Carpentries]({{ site.carpentries_site }}) community.
* Prepare you to use these teaching skills in teaching [Carpentries workshops](https://carpentries.org/workshops/).
  
Because we have only limited time, some things are beyond the scope of this training. We will not be learning:
* How to program in R or Python, use the Unix shell, Git or SQL, or any of the other topics taught in Data Carpentry, Library Carpentry, or Software Carpentry workshops.
* How to create your own lessons from scratch (although you will have a good start on the principles behind that sort of work if you are inspired to learn more).
  
If you would like to attend Instructor Training, please visit the [Become an Instructor page](https://carpentries.org/become-instructor/) on 
The Carpentries website for details on admission. 
  
Instructor Training events are hands-on throughout: short lessons alternate with individual 
and group practical exercises, including practice teaching sessions. Those who attend the 
full training and all three checkout steps will be certified as a Carpentries Instructor 
and will be eligible to teach [Data Carpentry](http://datacarpentry.org/), [Library Carpentry](https://librarycarpentry.org/), 
and [Software Carpentry](https://software-carpentry.org/) workshops throughout our global community.
* All participants are required to abide by our [Code of Conduct][conduct].
* There are no specific prerequisites for this training, but participants will benefit from having attended a Data Carpentry, Software Carpentry, or Library Carpentry workshop either as learner or helper so that they are familiar with our teaching techniques and the style of our workshops.
* Participants are not required to have any specific programming skills (though they should know enough about the subjects of one or more of our lessons to be able to teach them).
An Instructor Training event is the first step towards certification as a Carpentries Instructor. For more details on the other 3 steps, see the [Checkout Instructions page](https://carpentries.github.io/instructor-training/checkout/index.html) on this site.
  
Feedback on these materials is welcome as an [issue][issues] on the GitHub repository that hosts this site.

**These materials are freely available under a [Creative Commons license][license].**

**Note: The schedule below describes an approximate layout for a 2-full-day training. Please contact your Instructor Trainers if you have questions about the schedule for your specific training event.**

[application-form]: https://amy.carpentries.org/forms/request_training/
[conduct]: https://docs.carpentries.org/topic_folders/policies/code-of-conduct.html
[license]: {{ page.root }}/LICENSE.html
[issues]: {{ site.github.repository_url }}/issues
