---
layout: page
title: Preparing for Training and Certification
root: .
training_site: https://carpentries.github.io/instructor-training
---
## Preparing for Your Training
1. Please fill out our pre-workshop survey. Please refer to your pre-workshop email 
for a custom link for your event. Your responses will help your Trainers understand 
your background and customize the training appropriately. They also assist The Carpentries 
in understanding and reporting on our impact.
3. Please go to the [Software Carpentry lessons page]({{ site.swc_site }}/lessons/), 
the [Data Carpentry lessons page]({{ site.dc_site}}/lessons/), or the 
[Library Carpentry lessons page]({{ site.lc_site}}/lessons/) choose one episode 
(for recommendations, see the list below) and read through it carefully. 
You will be asked to teach a 90 second introduction to this content during 
the first half of the workshop, and will teach a 3 minute participatory segment 
of its content twice during the second half of the workshop (i.e. using live coding or live demonstration). Note that these 
presentations are expected to be rough, not polished -- you should be familiar 
with the content but please do not over-prepare. This preparation should take no more than 20-30 minutes.
4. Please read the following before the workshop begins:
 * ["The Science of Learning"]({{ page.training_site }}/files/papers/science-of-learning-2015.pdf)
 * ["The Carpentries Annual Report"](https://carpentries.org/files/reports/2021%20Carpentries%20Annual%20Report_Final.pdf)
  
**For Online Events:**  
4\. Please ensure that your computer and internet are sufficient to connect via Zoom 
for the full event. You will need to have the bandwidth to transmit video during your practice exercises.
  
**For In-Person Events:**  
4\. We will be recording one another teaching in pairs or threes during the class, 
so please bring a cell phone or hand-held camera that can record audio and video. 
It does not have to be high-quality, but it should be good enough that you can understand what someone is saying.
5\. Please also bring a laptop powerful enough to teach on so that you can take part 
in all of the practical exercises (a tablet will not be sufficient).
  
## Checkout: The Instructor Certification Process
After this course is over, you will be asked to do three short follow-up exercises online 
in order to finish certification as an Instructor: the details are available on the [Checkout Instructions page](https://carpentries.github.io/instructor-training/checkout/index.html). 
  
If you have any questions about the workshop, the reading material, or anything else, please [email us](mailto:instructor.training@carpentries.org)!


Recommended Episodes
--------

If you are having trouble choosing an episode, we recommend choosing one of the following: 

**Data Carpentry**

* [Exploring Data with OpenRefine]({{ site.dc_site }}/OpenRefine-ecology-lesson/02-exploring-data/index.html)
* [Basic Queries in SQL]({{ site.dc_site }}/sql-ecology-lesson/01-sql-basic-queries/)
* [Starting with Data in R]({{ site.dc_site }}/R-ecology-lesson/02-starting-with-data.html)
* [Starting with Data in Python]({{ site.dc_site }}/python-ecology-lesson/02-starting-with-data)

**Software Carpentry**

* [Working with Files and Directories in the Unix Shell]({{ site.swc_pages }}/shell-novice/03-create/)
* [Tracking Changes in Git]({{ site.swc_pages }}/git-novice/04-changes/)
* [Selecting Data in SQL]({{ site.swc_pages }}/sql-novice-survey/01-select/)
* [Repeating Actions with Loops in Python]({{ site.swc_pages }}/python-novice-inflammation/05-loop/)
* [Exploring Data Frames in R]({{ site.swc_pages }}/r-novice-gapminder/05-data-structures-part2/)

**Library Carpentry**

* [Working with Files and Directories](https://librarycarpentry.org/lc-shell/03-working-with-files-and-folders/index.html)  
* [Automating the Tedious with Loops](https://librarycarpentry.github.io/lc-shell/04-loops/index.html)
* [Importing Data into OpenRefine](https://librarycarpentry.org/lc-open-refine/02-importing-data/index.html)
